/****************************************************************** 
* Copyright (c) 2003, Mario Hochreiter, Student of 
* Software Engineering at FH-Hagenberg, Austria. 
* Project member of the isac team at the Institute for 
* Software-Technologie, Graz University of Technology, Austria. 
* 
* Use is subject to license terms.
******************************************************************/

package isac.gui.util;

/**
 * Abstract class for nodes in the hierarchy (ExampleHierarchy, ...).
 * 
 * @author Mario Hochreiter
 * @version 1.0
 *
 */
public abstract class HierarchyNode {
  protected String id;
  protected String contentref;
  
  public void setId(String id) {
    this.id = id;        
  }
  
  public String getContentref() {
    return contentref;
  }
  
  public String getId() {
    return id;
  }

  public void setContentref(String contentref) {
    this.contentref = contentref;
  }
  
  public String toString() {
    return id;   
  }
}
