/*
 * Created on Feb 12, 2004
 *
 */

package isac.wsdialog;

/**
 * Exception thrown by the DialogGuide if the user action
 * indicated caused an error in the math engine.
 * 
 * @author Alan Krempler
 *
 */
class DialogMathException extends DialogProtocolException {

	DialogMathException(int failed_action, int dialog_state, Throwable cause) {
		super(failed_action, dialog_state, "\nThis exception originates from the MathEngine.", cause);
	}
}

