/*
 * Created on Dec 12, 2003
 */
package isac.wsdialog;

import isac.util.formulae.CalcHeadCompoundID;


/**
 * Describes an user action on part of a CalcHead.
 * @see isac.wsdialog.UserActionOnIterator
 * @see isac.wsdialog.UserActionOnCalcHeadCompoundID
 * @author Alan Krempler
 */
public class UserActionOnCalcHeadCompoundID extends UserAction {
	private CalcHeadCompoundID chc_id_;
	
	public UserActionOnCalcHeadCompoundID(int id, CalcHeadCompoundID chc_id) {
		super(id);
		chc_id_ = chc_id; 
	}
	
	public CalcHeadCompoundID getObjectID() {
		return chc_id_;
	}

}
