/*
 * Created on Dec 12, 2003
 */
package isac.wsdialog;


/**
 * Describes an user action passing an integer value.
 * @see isac.wsdialog.UserActionOnIterator
 * @see isac.wsdialog.UserActionOnCalcHeadCompoundID
 * @author Alan Krempler
 */
public class UserActionOnInt extends UserAction {
	private int i_;
	
	/**
	 * @param id 
	 * @param i The integer value holding additional information to the UserAction
	 */
	public UserActionOnInt(int id, int i) {
		super(id);
		i_ = i; 
	}
	
	/**
	 * @return The integer value holding additional information to the UserAction
	 */
	public int getInt() {
		return i_;
	}

}
