(* application of differential calculus
   use_thy_only"../IsacKnowledge/DiffApp";
   use_thy_only"DiffApp";
   

*)


DiffApp = Diff +

consts

  Maximum'_value
             :: "[bool list,real,bool list,real,real set,bool,\
		  \ bool list] => bool list"
               ("((Script Maximum'_value (_ _ _ _ _ _ =))// (_))" 9)
  
  Make'_fun'_by'_new'_variable
             :: "[real,real,bool list, \
		  \ bool] => bool"
               ("((Script Make'_fun'_by'_new'_variable (_ _ _ =))// \
		  \(_))" 9)
  Make'_fun'_by'_explicit
             :: "[real,real,bool list, \
		  \ bool] => bool"
               ("((Script Make'_fun'_by'_explicit (_ _ _ =))// \
		  \(_))" 9)

  dummy :: real

(*for script Maximum_value*)
  filterVar :: "[real, 'a list] => 'a list"

(*primrec*)rules
  filterVar_Nil		"filterVar v []     = []"
  filterVar_Const	"filterVar v (x#xs) =                      \
			\(if (v mem (Vars x)) then x#(filterVar v xs) \
			\                   else filterVar v xs)   "

end