/*
 * @author Walther Neuper, member of the ISAC-team, 
 * Copyright (c) 2004 by Walther Neuper 
 * created Oct 1, 2004, 10:08:13 AM
 * Institute for Softwaretechnology, Graz University of Technology, Austria.
 * 
 * Use is subject to license terms.
 */
package isac.util.parser;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * Description of class
 * @link fully.qualified.Calss#method(fully.qualified.Param)
 * @author Walther Neuper Oct 1, 2004, 10:08:13 AM
 * @version 1.0
 * @see <fully.qualified.Calssname#methodName(param-classes)>
 * @deprecated <if applicable write reason here, otherwise omit this line>
 * @
 **/
public class Testall extends TestCase {

	public static Test suite() {
		System.out.println("---isac.util.parser.Testall");
		TestSuite suite = new TestSuite("isac.util.parser.Testall");
		
		suite.addTestSuite(isac.util.parser.TestFormalizationDigest.class);
		suite.addTestSuite(isac.util.parser.TestXMLParserDigest.class);
		// MockFormalizationDigest kept from WN tests
		// RGtestXMLParserDigest kept from RG
		
		//tests in subdirectories
		//...
		
		return suite;
	}
}
