/*
 * Created on Dec 12, 2003
 */
package isac.wsdialog;

import isac.util.interfaces.ICalcIterator;

/**
 * Describes an user action which relates to a CalcElement which
 * is part of the current calculation.
 * @see isac.wsdialog.UserActionOnCalcElement
 * @see isac.wsdialog.UserActionOnCalcHeadCompoundID
 * @author Alan Krempler
 */
public class UserActionOnIterator extends UserAction {
	private ICalcIterator iterator_;
	
	public UserActionOnIterator(int id, ICalcIterator iterator) {
		super(id);
		iterator_ = iterator; 
	}
	
	public ICalcIterator getPosition() {
		return iterator_;
	}

}
